%define pkg_name        AutoLoader
%define pkg_version     5.63
%define rpm_pkg_version 5.63
%define rpm_pkg_release 1.n0i.1

Summary:       Automatic function loader (using AutoSplit)
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SM/SMUELLER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The AutoLoader module works with the AutoSplit module and the "__END__"
token to defer the loading of some subroutines until they are used rather
than loading them all at once.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic Changes Copying README


%changelog
* Sun Jun 03 2007 Marius Feraru <altblue@n0i.net> - 0:5.63-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 5.63
